Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class Detail

    java.lang.Object
      |
      +--org.apache.axis.message.MessageElement
            |
            +--org.apache.axis.message.SOAPBodyElement
                  |
                  +--org.apache.axis.message.SOAPFault
                        |
                        +--org.apache.axis.message.Detail

All Implemented Interfaces:
  Detail, Node, java.io.Serializable, SOAPBodyElement, SOAPElement, SOAPFault, SOAPFaultElement

public class Detail
extends SOAPFault
implements Detail

Detail Container implementation

Author:
  Davanum Srinivas (dims@yahoo.com)
See Also:
  Serialized Form

Inner classes inherited from class org.apache.axis.message.MessageElement
`MessageElement.QNameAttr`

Fields inherited from class org.apache.axis.message.SOAPFault
`fault`

Fields inherited from class org.apache.axis.message.MessageElement
`_isDirty, _isRoot, attributes, context, elementRep, encodingStyle, endEventIndex, href, id, log, message, name, namespaces, namespaceURI, parent, prefix, qNameAttrs, recorder, startContentsIndex, startEventIndex, textRep, typeQName`

Constructor Summary
`Detail()`
`Detail(AxisFault fault)`
`Detail(java.lang.String namespace, java.lang.String localName, java.lang.String prefix, org.xml.sax.Attributes attrs, DeserializationContext context)`

Method Summary
`DetailEntry` | `addDetailEntry(Name name)` Creates a new `DetailEntry` object with the given name and adds it to this `Detail` object.
`java.util.Iterator` | `getDetailEntries()` Gets a list of the detail entries in this `Detail` object.

Methods inherited from class org.apache.axis.message.SOAPFault
`addDetail, getDetail, getFault, getFaultActor, getFaultCode, getFaultString, outputImpl, setFault, setFaultActor, setFaultCode, setFaultString`

Methods inherited from class org.apache.axis.message.SOAPBodyElement
`detachNode, setParentElement`

Methods inherited from class org.apache.axis.message.MessageElement
`addAttribute, addAttribute, addAttribute, addChild, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addMapping, addNamespaceDeclaration, addTextNode, getAllAttributes, getAsDocument, getAsDOM, getAttributes, getAttributeValue, getAttributeValue, getChildElements, getChildElements, getChildren, getCompleteAttributes, getElementName, getEncodingStyle, getEnvelope, getFixupDeserializer, getHref, getID, getName, getNamespacePrefixes, getNamespaceURI, getNamespaceURI, getObjectValue, getParentElement, getPrefix, getPrefix, getQName, getRealElement, getRecorder, getType, getValue, getValueAsType, isDirty, isRoot, makeAttributesEditable, output, publishContents, publishToHandler, recycleNode, removeAttribute, removeChild, removeNamespaceDeclaration, setAttribute, setContentsIndex, setDirty, setEncodingStyle, setEndIndex, setEnvelope, setFixupDeserializer, setName, setNamespaceURI, setNSMappings, setObjectValue, setPrefix, setQName, setRecorder, setType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.soap.SOAPElement
`addAttribute, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addNamespaceDeclaration, addTextNode, getAllAttributes, getAttributeValue, getChildElements, getChildElements, getElementName, getEncodingStyle, getNamespacePrefixes, getNamespaceURI, removeAttribute, removeNamespaceDeclaration, setEncodingStyle`

Methods inherited from interface javax.xml.soap.Node
`detachNode, getParentElement, getValue, recycleNode, setParentElement`

Constructor Detail

### Detail

    public Detail(java.lang.String namespace,
                  java.lang.String localName,
                  java.lang.String prefix,
                  org.xml.sax.Attributes attrs,
                  DeserializationContext context)

### Detail

    public Detail()

### Detail

    public Detail(AxisFault fault)

Method Detail

### addDetailEntry

    public DetailEntry addDetailEntry(Name name)
                               throws SOAPException

  Creates a new `DetailEntry` object with the given name and adds it to this `Detail` object.
  Specified by:
    `addDetailEntry` in interface `Detail`
  Parameters:
    `name` - a `Name` object identifying the new `DetailEntry` object
  Returns:
    DetailEntry.
  Throws:
    `SOAPException` - thrown when there is a problem in adding a DetailEntry object to this Detail object.

### getDetailEntries

    public java.util.Iterator getDetailEntries()

  Gets a list of the detail entries in this `Detail` object.
  Specified by:
    `getDetailEntries` in interface `Detail`
  Returns:
    an `Iterator` object over the `DetailEntry` objects in this `Detail` object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.